KDE 4.9 PyKDE API Reference

- KDE's Python API

# AppletProtectedThunk Class Reference

`from PyKDE4.plasma import *`

Inherits: Plasma.Applet → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

## Static Methods

| static_public_setConfigurationRequired (Plasma.Applet applet, bool needsConfiguring, QString reason=QString())
| static_public_setHasConfigurationInterface (Plasma.Applet applet, bool hasInterface)

## Static Method Documentation

static_public_setConfigurationRequired | ( | Plasma.Applet | applet,
|  | bool | needsConfiguring,
|  | QString | reason=QString()
| ) |  |  |

static_public_setHasConfigurationInterface | ( | Plasma.Applet | applet,
|  | bool | hasInterface
| ) |  |  |